#include "misc.h"

void bin_to_texture(char *filename, uint32 tex, int w, int h)
{
    unsigned int fd;
    unsigned short *temp_tex;
    
    temp_tex = (unsigned short *)malloc(w*h*2);

    fd = fs->open(filename, O_RDONLY);
    fs->read(fd, temp_tex, fs->total(fd));
    fs->close(fd);

    txr_twiddle_copy(temp_tex, w, h, tex, w, h, 0);

    free(temp_tex);
}
